PrivacySandboxSdkExtension

@Incubating interface PrivacySandboxSdkExtension : FusedLibraryExtension


Summary

Public properties

String

Specifies the version of the SDK Build Tools to use when building your project.

PrivacySandboxSdkBundle
Int?

Specifies the API level to compile your project against.

Int?
String?

Public functions

Public properties

buildToolsVersion

val buildToolsVersionString

Specifies the version of the SDK Build Tools to use when building your project.

By default, the plugin uses the minimum version of the build tools required by the version of the plugin you're using. To specify a different version of the build tools for the plugin to use, specify the version as follows:

android {
// Specifying this property is optional.
buildToolsVersion "26.0.0"
}

For a list of build tools releases, read the release notes.

Note that the value assigned to this property is parsed and stored in a normalized form, so reading it back may give a slightly different result.

compileSdk

val compileSdkInt?

Specifies the API level to compile your project against. The Android plugin requires you to configure this property.

This means your code can use only the Android APIs included in that API level and lower. You can configure the compile sdk version by adding the following to the android block: compileSdk = 26.

You should generally use the most up-to-date API level available. If you are planning to also support older API levels, it's good practice to use the Lint tool to check if you are using APIs that are not available in earlier API levels.

The value you assign to this property is parsed and stored in a normalized form, so reading it back may return a slightly different value.

compileSdkExtension

val compileSdkExtensionInt?

compileSdkPreview

val compileSdkPreviewString?